VPS主机使用心得分享:Ubuntu 12 VS Ubuntu 14

王志勇 发表于 2019年06月06日 10:05

主机的系统版本越老,越省资源。网上还能找到Ubuntu 9、Ubuntu 10、Ubuntu 11的ISO文件,但是都停止了支持,无法apt-get update。Ubuntu现在还能用的最老版本是Ubuntu 12,我的大部分主机现在都运行在Ubuntu 12下。我之前是使用了CentOS系统2年多,后来发现作为Web服务器,Ubuntu明显比CentOS快,如这里的测试结果:博文1博文2

Ubuntu 12占用内存比Ubuntu 14少得多。但是非常遗憾,今天安装Let’s Encrypt时发现,Let’s Encrypt已经禁止了在Ubuntu 12下安装,安装时会报错:

/opt/eff.org/certbot/venv/bin/python: No module named pip.__main__; 'pip' is a package and cannot be directly executed

几个月前,Ubuntu 12还能顺利安装Let’s Encrypt,现在已经无法安装。
Ubuntu能安装Let’s Encrypt的最老版本目前只有Ubuntu 14了。

2条评论:
1   angel2018 2019-06-06 10:16
勇哥,那怎么办?要么就升级ubuntu 14,要么不启用ssl,哈哈。
或者,还有一个方法,就是手机安装,改参数,就是非常痛苦,而且我的能力,试了,没成功。

自由勇 2019-06-06 10:22
是的,只能使用Ubuntu 14了。大部分站点我都用http,只有个别站点用SSL。

发表评论:
名字: (*必填)
博客: (可省)

正文:

  记住信息?

直接发送Trackback到此文章

说明:本评论系统不支持HTML代码。(您的留言需要审核,审核规则请见这里。)

王志勇:1980-09-26 (39周岁)
程序设计,前端设计。

版权声明:本博客所有文章,均符合原创的定义,禁止转载,违者将必究;正确的方法是贴原文的标题和网址即可。

与此相关的链接
自由勇专栏

Blog存档 Archives

2019年06月
2019年05月
2019年04月(30)
2019年03月(30)
2019年02月(30)
2019年01月(30)
2018年12月(30)
2018年11月(30)
2018年10月(30)
2018年09月(17)
2016年-2017年(9)
2014年06月-09月(10)
2013年 +

2012年 +
2011年 +
2010年 +
2009年 +
2008年 +
2007年 +
2006年 +
2005年09月(4)

Copyright © 2006-2019 auiou.com All rights reserved.
此Blog程序由王志勇编写 已经发布在Arsue